#define EMUSTATUS_ERROR		-1
#define EMUSTATUS_CREATE	0
#define EMUSTATUS_LOAD		1
#define EMUSTATUS_OPEN		2
#define EMUSTATUS_READY		3
#define EMUSTATUS_PLAYING	4

BOOL Emu526829(void);
BOOL Emu5282(void);
BOOL EmuInitialize(void);
void EmuUninitialize(void);
BOOL EmuSMAFPlay(SMAF* smaf, UINT startfrom);
void EmuSMAFStop(void);
int EmuStatus(void);
int EmuInfo(void);
int EmuGetCurrentPos(void);
BOOL EmuSeek(UINT pos);
int EmuSetMidiMsg(BYTE* data, DWORD size);
BOOL EmuSetVolume(int vol);
BOOL EmuSetTempo(int tempo);
BOOL EmuSetKeypitch(int key);
int EmuGetVolume(void);
int EmuGetTempo(void);
int EmuGetKeypitch(void);

BOOL EmuMIDISetVolume(void);
BOOL EmuMIDIPlay(SMAF* smaf, UINT startfrom);
void EmuMIDIStop(void);
void EmuMIDIProc(void);
void EmuMIDISetSoloCh(int ch);

typedef struct _tag_NOTEOFF
{
	int ch;
	int sound;
	UINT time;
	struct _tag_NOTEOFF* next;
}NOTEOFF;
