#define SwapDword(data) (*((BYTE*)(data) + 0) << 24 | *((BYTE*)(data) + 1) << 16 | *((BYTE*)(data) + 2) << 8 | *((BYTE*)(data) + 3))
#define SwapWord(data) (*((BYTE*)(data) + 0) << 8 | *((BYTE*)(data) + 1))

#define COMPARE4(d, s) ((d)[0] != (s)[0] || (d)[1] != (s)[1] || (d)[2] != (s)[2] || (d)[3] != (s)[3])

typedef struct
{
	BYTE* data;
	DWORD size;
}CHUNK;

typedef struct _tag_EVENTLIST
{
	DWORD duration;
	DWORD time;
	BYTE status;
	BYTE* data;
	DWORD size;
	struct _tag_EVENTLIST* next;
}EVENT;

typedef struct
{
	BYTE* data;
	DWORD size;

	EVENT* start;
	EVENT* stop;

	EVENT* events;
	DWORD dbase;
	DWORD gbase;
}SMAF;

BOOL findchunk4(BYTE* data, DWORD dsize, char* cname, CHUNK* ch);
BOOL findchunk3(BYTE* data, DWORD dsize, char* cname, CHUNK* ch);
DWORD GetVValAndForward(BYTE** pdata);
DWORD GetVValSize(BYTE* pdata);
DWORD GetVValAndForward4HPS(BYTE** pdata);
DWORD GetVVal(BYTE* pdata);
void ClearEvents(SMAF* smaf);
void InsertEvent(SMAF* smaf, EVENT* e);
void ConvertEvents2(SMAF* smaf, BYTE* data, DWORD size, BOOL fsetup, DWORD start, DWORD stop, UINT chshift);
void ConvertEvents(SMAF* smaf, BYTE* data, DWORD size, BOOL fsetup, DWORD start, DWORD stop);
SMAF* FreeSmaf(SMAF* smaf);
SMAF* LoadSmaf(LPCTSTR fname);
